Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type FileControl.FileInfo

    @Retention(value=RUNTIME)
    @Target(value={TYPE,FIELD})
    public static @interface FileControl.FileInfo

Optional Element Summary
`String` | `archiveDirectoryName`
`FileControl.FileCreateMode` | `createMode` This option specifies what needs to be done when a write operation is creating a new file and a file with the same name already exists.
`String` | `directoryName` A directory name is the absolute path name for the directory.
`String` | `errorDirectoryName`
`String` | `fileMask` The file-mask attribute can specify either a file name or a file mask.
`String` | `suffixName` This suffix will be used along with a timestamp or incrementing index for creating the file names.
`FileControl.FileSuffixType` | `suffixType` This option specifies if a timestamp or an incrementing index should be used as a suffix for the file names.

### directoryName

    public abstract String directoryName

  A directory name is the absolute path name for the directory. It includes the drive specification as well as the path specification. The directory-name attribute is required. Leaving the directory-name attribute unspecified results in an error.

  Default:
    "Not Specified"

### fileMask

    public abstract String fileMask

  The file-mask attribute can specify either a file name or a file mask. If the file-mask contains a wild-card character (such as "*") it will be treated as a file mask. Typically, a wild-card character is specified to get the list of files in a directory. It is illegal to specify a wild-card character for any other operation. File names are used for read, write and append operations.

  Default:
    "Not Specified"

### suffixName

    public abstract String suffixName

  This suffix will be used along with a timestamp or incrementing index for creating the file names. The default suffix-name will be "_". For example: file_01, file_02, file_0809021230123

  Default:
    "_"

### suffixType

    public abstract FileControl.FileSuffixType suffixType

  This option specifies if a timestamp or an incrementing index should be used as a suffix for the file names. The allowed options are: index and timestamp.

  Default:
    NONE

### createMode

    public abstract FileControl.FileCreateMode createMode

  This option specifies what needs to be done when a write operation is creating a new file and a file with the same name already exists. The allowed options are: over-write and rename-old.

  Default:
    NONE

### errorDirectoryName

    public abstract String errorDirectoryName

  Default:
    "Not Specified"

### archiveDirectoryName

    public abstract String archiveDirectoryName

  Default:
    "Not Specified"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT